Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.cepstrum
Class BicubicInterpolation

    java.lang.Object
      |
      +--jm.cepstrum.BicubicInterpolation

public class BicubicInterpolation
extends java.lang.Object

Diese Klasse realisiert die bikubische Interpolation. Sie findet Verwendung zur Skalierung und Verschiebung von Bildern.

See Also:
  `ExImageCanvas`, `CepstrumAnalysis`

Constructor Summary
`BicubicInterpolation(byte[] img, int w, int h)` Der Konstruktor.
`BicubicInterpolation(int[] img, int w, int h)` Der Konstruktor.
`BicubicInterpolation(short[] img, int w, int h)` Der Konstruktor.

Method Summary
`int` | `getPixel(double x, double y)` Einzige Methode der Klasse.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BicubicInterpolation

    public BicubicInterpolation(byte[] img,
                                int w,
                                int h)

  Der Konstruktor. Wird ueberladen, damit die Interpolation von 8, 16, und 32-Bit-Grauwertbildern moeglich ist.

Parameters:
  `img` - byte-Array der Bildpunkte des Bildes
  `w` - Breite des Bildes
  `h` - Hoehe der Bildes

### BicubicInterpolation

    public BicubicInterpolation(short[] img,
                                int w,
                                int h)

  Der Konstruktor. Wird ueberladen, damit die Interpolation von 8, 16, und 32-Bit-Grauwertbildern moeglich ist.

Parameters:
  `img` - short-Array der Bildpunkte des Bildes
  `w` - Breite des Bildes
  `h` - Hoehe der Bildes

### BicubicInterpolation

    public BicubicInterpolation(int[] img,
                                int w,
                                int h)

  Der Konstruktor. Wird ueberladen, damit die Interpolation von 8, 16, und 32-Bit-Grauwertbildern moeglich ist.

Parameters:
  `img` - int-Array der Bildpunkte des Bildes
  `w` - Breite des Bildes
  `h` - Hoehe der Bildes

Method Detail

### getPixel

    public int getPixel(double x,
                        double y)

  Einzige Methode der Klasse. Ermoeglicht das Auslesen von Grauwerten an beliebigen (Zwischen-)Rasterkoordinaten.

  Parameters:
    `x` - x-Position (reellwertig)
    `y` - y-Position (reellwertig)
  Returns:
    Der berechnete Grauwert. Es wird immer ein Integer geliefert.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD